package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DrichiesteApprovazPfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1856902151L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdRichiestaApprovazPf;

	private StringFilter codiRichiestaApprovazione;

	private LocalDateFilter dataRichiestaApprovazione;

	private LongFilter fkPianoFerie;

	private LongFilter fkStatoRichApprovPf;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	private StringFilter flagEliminato;

	private LocalDateFilter dataUltimaModifica;

	private StringFilter utenteUltimaModifica;

	// FILTER FATHER
	private String theDstatiRichApprovPfObjectKey;
	private String theDpianiFerieObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdRichiestaApprovazPf
	 */
	public LongFilter getSequIdRichiestaApprovazPf() {
		return this.sequIdRichiestaApprovazPf;
	}

	/**
	 * @param sequIdRichiestaApprovazPf to set
	 */
	public void setSequIdRichiestaApprovazPf(LongFilter sequIdRichiestaApprovazPf) {
		this.sequIdRichiestaApprovazPf = sequIdRichiestaApprovazPf;
	}

	/**
	 * @return the codiRichiestaApprovazione
	 */
	public StringFilter getCodiRichiestaApprovazione() {
		return this.codiRichiestaApprovazione;
	}

	/**
	 * @param codiRichiestaApprovazione to set
	 */
	public void setCodiRichiestaApprovazione(StringFilter codiRichiestaApprovazione) {
		this.codiRichiestaApprovazione = codiRichiestaApprovazione;
	}

	/**
	 * @return the dataRichiestaApprovazione
	 */
	public DateFilter getDataRichiestaApprovazione() {
		return this.dataRichiestaApprovazione;
	}

	/**
	 * @param dataRichiestaApprovazione to set
	 */
	public void setDataRichiestaApprovazione(DateFilter dataRichiestaApprovazione) {
		this.dataRichiestaApprovazione = dataRichiestaApprovazione;
	}

	/**
	 * @return the fkPianoFerie
	 */
	public LongFilter getFkPianoFerie() {
		return this.fkPianoFerie;
	}

	/**
	 * @param fkPianoFerie to set
	 */
	public void setFkPianoFerie(LongFilter fkPianoFerie) {
		this.fkPianoFerie = fkPianoFerie;
	}

	/**
	 * @return the fkStatoRichApprovPf
	 */
	public LongFilter getFkStatoRichApprovPf() {
		return this.fkStatoRichApprovPf;
	}

	/**
	 * @param fkStatoRichApprovPf to set
	 */
	public void setFkStatoRichApprovPf(LongFilter fkStatoRichApprovPf) {
		this.fkStatoRichApprovPf = fkStatoRichApprovPf;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	// GETTER/SETTER FATHER

	public String getTheDstatiRichApprovPfObjectKey() {
		return theDstatiRichApprovPfObjectKey;
	}

	public void setTheDstatiRichApprovPfObjectKey(String theDstatiRichApprovPfObjectKey) {
		this.theDstatiRichApprovPfObjectKey = theDstatiRichApprovPfObjectKey;
	}

	public String getTheDpianiFerieObjectKey() {
		return theDpianiFerieObjectKey;
	}

	public void setTheDpianiFerieObjectKey(String theDpianiFerieObjectKey) {
		this.theDpianiFerieObjectKey = theDpianiFerieObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
